> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-actions-config/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Configuration for the actions UI. GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/actions/config **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns the configuration for the actions UI. Reference: https://docs.getunleash.io/api/get-actions-config ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) ## Response ### 200 actionDefinitionsConfigSchema - `TOGGLE_FEATURE_ON` (actionDefinitionSchema, optional) — Configuration of a single action and its parameters. - `TOGGLE_FEATURE_OFF` (actionDefinitionSchema, optional) — Configuration of a single action and its parameters. - `TOGGLE_FEATURES_ON_BY_TAG` (actionDefinitionSchema, optional) — Configuration of a single action and its parameters. - `TOGGLE_FEATURES_OFF_BY_TAG` (actionDefinitionSchema, optional) — Configuration of a single action and its parameters. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### actionDefinitionSchema Configuration of a single action and its parameters. - `label` (string, required) — The label of the action. - `description` (string, required) — A description for the action. - `category` (string, required) — The category of the action. - `permissions` (list of string, required) — The permissions required to perform the action. - `parameters` (list of actionDefinitionParameterSchema, required) — The parameters required to perform the action. ### actionDefinitionParameterSchema Defines a parameter for an action. - `name` (enum, required) — The name of the parameter. - Allowed values: `project`, `environment`, `featureName`, `tag` - `label` (string, required) — The label of the parameter. - `type` (enum, required) — The parameter type. - Allowed values: `select`, `hidden` - `optional` (boolean, optional, default: true) — Whether the parameter is optional. - `options` (list of string, optional) — Lists of options to be used for the parameter. ## Examples **Response** ```json { "TOGGLE_FEATURE_ON": { "label": "Enable a feature", "description": "Enable a feature flag in a specific environment.", "category": "Feature flags", "permissions": [ "UPDATE_FEATURE" ], "parameters": [ { "name": "project", "label": "Param name", "type": "select", "optional": true, "options": [ "default" ] } ] }, "TOGGLE_FEATURE_OFF": { "label": "Enable a feature", "description": "Enable a feature flag in a specific environment.", "category": "Feature flags", "permissions": [ "UPDATE_FEATURE" ], "parameters": [ { "name": "project", "label": "Param name", "type": "select", "optional": true, "options": [ "default" ] } ] }, "TOGGLE_FEATURES_ON_BY_TAG": { "label": "Enable a feature", "description": "Enable a feature flag in a specific environment.", "category": "Feature flags", "permissions": [ "UPDATE_FEATURE" ], "parameters": [ { "name": "project", "label": "Param name", "type": "select", "optional": true, "options": [ "default" ] } ] }, "TOGGLE_FEATURES_OFF_BY_TAG": { "label": "Enable a feature", "description": "Enable a feature flag in a specific environment.", "category": "Feature flags", "permissions": [ "UPDATE_FEATURE" ], "parameters": [ { "name": "project", "label": "Param name", "type": "select", "optional": true, "options": [ "default" ] } ] } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```